/// <reference path="Scripts/typings/jquery/jquery.d.ts"/>
/// <reference path="Scripts/typings/jquerymobile/jquerymobile.d.ts"/>
$.mobile.page.prototype.options.addBackBtn = false;
$.mobile.ajaxEnabled = false;
var requestCacheClear = false;
var isAuthenticatedString = false; // TBW (it's not enough)
// for cycle UI
var cycle_pointer = 0;
var cycle_array = new Array();
var cycle_indicate_counter = 0;
var cycle_pause = false;
function cycle_stop() {
    cycle_pause = !cycle_pause;
}
function cycle_show() {
    for (var i = 0; i < cycle_array.length; i++) {
        $("." + cycle_array[i]).css("display", i == cycle_pointer ? "block" : "none");
    }
}
function cycle_next() {
    if (cycle_pointer >= cycle_array.length)
        return;
    cycle_pointer++;
    if (cycle_pointer >= cycle_array.length)
        cycle_pointer = 0;
    cycle_show();
    cycle_indicate_counter = 0;
}
function cycle_prev() {
    if (cycle_pointer >= cycle_array.length)
        return;
    $("." + cycle_array[cycle_pointer]).css("display", "none");
    cycle_pointer--;
    if (cycle_pointer < 0)
        cycle_pointer = cycle_array.length - 1;
    $("." + cycle_array[cycle_pointer]).css("display", "block");
    cycle_indicate_counter = 0;
}
function cycle_indicate() {
    if (cycle_pause)
        return;
    cycle_indicate_counter++;
    if (cycle_indicate_counter >= 10) {
        cycle_next();
    }
    var spaces = "**********";
    $(".cyclebar1").text(spaces.substring(0, cycle_indicate_counter));
    $(".cyclebar1").css("color", "Red");
    $(".cyclebar2").text(spaces.substring(0, 9 - cycle_indicate_counter));
    $(".cyclebar2").css("color", "Black");
}
function uniq(arr, f) {
    var newarr = [];
    var lastValue = undefined;
    for (var i = 0; i < arr.length; i++) {
        if (f(arr[i]) != lastValue)
            newarr.push(f(arr[i]));
        lastValue = f(arr[i]);
    }
    return newarr;
}
function cycle_delay() {
    if ($(".cyclebar1").length == 0)
        return;
    cycle_array = $("div[class^='cycle_']").toArray();
    if (cycle_array.length == 0)
        return;
    cycle_array.sort(function (a, b) {
        var a0 = a.className.split(" ")[0].substring(6);
        var b0 = b.className.split(" ")[0].substring(6);
        if (a0 < b0)
            return -1;
        if (a0 > b0)
            return 1;
        return 0;
    });
    cycle_array = uniq(cycle_array, function (a) {
        return a.className;
    });
    cycle_pointer = 0;
    window.setInterval(cycle_indicate, 1000);
}
$(document).on("pagecreate", function (event) {
    cycle_delay();
    // finally, display cycle UI
    cycle_show();
    $(".cycleUI").show();
});
//# sourceMappingURL=myscript.js.map